As per this announcement please note the vB 3.5.x has reached it's end of life and is no longer actively developed or supported:

http://www.vbulletin.com/forum/showthread.php?t=268829

We strongly recommend that anyone running 3.5.x upgrade to the latest stable version as soon as possible.